<?php
class FasesSolicitacao extends GxActiveRecord {

    public static function model($className = __CLASS__) {
        return parent::model($className);
    }

    public function tableName() {
        return 'fases_solicitacao';
    }

    public static function label($n = 1) {
        return Yii::t('app', 'Fase Solicitação|Fases Solicitação', $n);
    }

    public static function representingColumn() {
        return 'FAS_DATA';
    }

    public function behaviors() {
        return array('datetimeI18NBehavior' => array('class' => 'ext.DateTimeI18NBehavior'));
    }

    public function beforeSave() {
        parent::beforeSave();

        if(strpos($this->FAS_DATA, '/') !== false) {
            $this->FAS_DATA = Util::formatDataHoraMysql($this->FAS_DATA);
        }
        return true;
    }

    public function rules() {
        return array(
            array('FAS_ID, FAS_IDSOLICITACAO, FAS_IDATIVIDADE, FAS_IDFASE, FAS_DATA, FAS_IDUSUARIO, FAS_HORAUSADA', 'safe'),
        );
    }

    public function relations() {
        return array(
            'Fase'      => array(self::BELONGS_TO, 'FasesDesenvolvimento', 'FAS_IDFASE'),
            'Usuario'   => array(self::BELONGS_TO, 'Funcionarios', 'FAS_IDUSUARIO'),
        );
    }

    public function close($id_atividade) {
        $this->FAS_IDATIVIDADE = $id_atividade;
        $this->FAS_HORAUSADA = 1;
        return $this->save(false, array('FAS_IDATIVIDADE', 'FAS_HORAUSADA'));
    }
}